
.PHONY: mostlyclean-local mostlyclean-local-check

SCRPTSB = generate-intr-body \
          generate-intr-interface \
	  generate-intr-target-module

SCMSCRIPTS = $(patsubst %,%.scm,$(SCRPTSB))

# When uninstalled environment is used we need to be able to invoke
# the scripts in the source directory.

$(SCMSCRIPTS): %.scm: %.scm.in
	sed -e 's|@theme_d_guile@|$(THEME_D_GUILE)|g' $< > $@
	chmod 755 $@

scriptdir = $(SCRIPT_DIR)
script_DATA = $(SCMSCRIPTS)

mostlyclean-local : mostlyclean-local-check

mostlyclean-local-check :
	-rm $(SCMSCRIPTS)

install-data-hook:
	chmod 755 $(DESTDIR)$(SCRIPT_DIR)/generate-intr-body.scm
	chmod 755 $(DESTDIR)$(SCRIPT_DIR)/generate-intr-interface.scm
	chmod 755 $(DESTDIR)$(SCRIPT_DIR)/generate-intr-target-module.scm
